extends ../layout.pug
block content
      // DataTables Example
      .card.mb-3
        .card-header
          i.fas.fa-table
          |             Classification Data
        .card-body
          .table-responsive
            table#dataTable.table.table-bordered(width='100%' cellspacing='0')
              thead
                tr
                  th _id
                  th connection
                  th connection_timestamp
                  th remote_host
                  th local_port
                  th mysql_command_args_data
                  th classification
              tfoot
                tr
                  th -
                  th -
                  th -
                  th -
                  th -
                  th -
                  th
              tbody
        //- .card-footer.small.text-muted Updated yesterday at 11:59 PM
      .card.mb-3
        .card-header
          i.fas.fa-table
          |             Chart
        .card-body
          - var selected = 0
          select#select_chart.custom-select.custom-select-sm.form-control.form-control-sm(onchange='selected =this.selectedIndex; fetchChart(selected);')
            option(value='') --Select Data--
            option(value='connection') Connection
            option(value='remote_host') Remote Host
            option(value='date') Date
            option(value='syntax') Syntax
            option(value='classification') Classification
          br
          #chart_table.table-responsive
          br
          canvas#myBarChart.chartjs-render-monitor(style='display: block;')


block script
  include ../javascript.pug

append script
  script(src='js/datatables-classification.js')
  script(src='js/chart/chart-classification.js')
  //- script(src='js/demo/chart-area-demo.js')